Payments API
List Payments
GET /api/v1/manager-core/payments
Get all payment records.
Update Payment
PUT /api/v1/manager-core/payments
Request Body:
| Parameter | Type | Required | Validation |
|---|---|---|---|
| invoice | integer | Conditional* | exists:invoices,id (*required_without:payment) |
| payment | integer | Conditional* | exists:payments,id (*required_without:invoice) |
| payment_category_id | integer | No | - |
Get Accounts
GET /api/v1/manager-core/payments/accounts
Get payment accounts.
Update Account
PUT /api/v1/manager-core/payments/accounts
Request Body:
| Parameter | Type | Required | Validation |
|---|---|---|---|
| id | integer | Yes | exists:payment_accounts,id |
| company_id | integer | No | exists:companies,id |
| name | string | No | - |
Get Cards
GET /api/v1/manager-core/payments/cards
Get saved payment cards.
Get Statistics
GET /api/v1/manager-core/payments/statistics
Query Parameters:
| Parameter | Type | Required | Validation |
|---|---|---|---|
| warehouse | integer | No | exists:warehouses,id |
| from | date | No | Start date |
| to | date | No | End date |
Pairing to CRM
POST /api/v1/manager-core/payments/pairing
Request Body:
| Parameter | Type | Required | Validation |
|---|---|---|---|
| crm_item_id | integer | Yes | exists:crm_items,id |
| all | boolean | No | - |
| invoice | integer | Conditional* | (*required_without:payment) |
| payment | integer | Conditional* | (*required_without:invoice) |
Payment Methods
Get Defaults
GET /api/v1/manager-core/payments/defaults
Get default payment methods.
List Methods
GET /api/v1/manager-core/payments/methods
Create Method
POST /api/v1/manager-core/payments/methods
Get Method
GET /api/v1/manager-core/payments/methods/{id}
Update Method
PUT /api/v1/manager-core/payments/methods/{id}
Delete Method
DELETE /api/v1/manager-core/payments/methods/{id}
Translate Method Name
POST /api/v1/manager-core/payments/methods/{id}/translate
Request Body:
| Parameter | Type | Required | Validation |
|---|---|---|---|
| language | string | Yes | Language code |
| name | string | Yes | Translated name |
Refunds
Get Refunds
GET /api/v1/manager-core/payments/refunds
Get all refund records.
Get Bank Transfer Refunds
GET /api/v1/manager-core/payments/refunds/bank-transfer
Get bank transfer refunds.